package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ParkingCoupon;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ParkingCouponDAO {
	int insert(ParkingCoupon entity);
	int update(ParkingCoupon entity);
	int exist(String id);
	ParkingCoupon get(String id);
	int delete(String id);
	List<ParkingCoupon> list();
	List<ParkingCoupon> search(Map<String, Object> searchParams, List<Sort> sortList);

    ParkingCoupon findByParkingRecordIdAndStatus(String parkingRecordId,Boolean status);
}